Assignee:
Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14176

Description

It would be nice if you inside Qgis could handle the data type selection when opening a csv file by "Add vector layer".

As it is now all will be interpretated as text unless you by hand adds a .csvt file to the folder containing the .csv file.

Related issues:

Duplicated by QGIS Application - Feature request # 13038: Add ability to choo... Open 2015-06-26

Duplicated by QGIS Application - Feature request # 5606: Defining column type... Open 2012-05-16

History

#1 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2018-03-08 12:46 PM - Håvard Tveite

Feature request #5606 ("Defining column types for CSV imports") has much in common with this one.

#6 - 2018-04-15 01:23 PM - Jürgen Fischer

- Duplicated by Feature request #13038: Add ability to choose field type in CSV plugin provider import added

#7 - 2018-04-15 01:24 PM - Jürgen Fischer

- Duplicated by Feature request #5606: Defining column types for CSV imports added

#8 - 2018-04-15 07:04 PM - Johannes Kroeger

This is a problem that comes up all the time when dealing with users from data analysis, journalism and similar backgrounds. For example when joining

geographic data and tabular data from official records. In Germany we have a seemingly numeric key for municipalities (AGS) that can have a leading

zero. QGIS right now will turn it into an integer and subsequent joins will fail.

That one can manually fiddle around with an additional file is neither obvious nor user-friendly. A related issue would be that the CSV import form shows

the fields without the automagical type conversion so what you see is not what you get.
Fixing this might turn those people into happy QGIS users and advocates. It would be awesome! :)
